Debian Bug report logs - #613959
gfarm2fs: FTBFS on armel - undefined references

version graph

Package: gfarm2fs; Maintainer for gfarm2fs is NIIBE Yutaka <gniibe@fsij.org>; Source for gfarm2fs is src:gfarm2fs.

Reported by: Hector Oron <hector.oron@gmail.com>

Date: Fri, 18 Feb 2011 13:57:05 UTC

Severity: serious

Found in version gfarm2fs/1.2.2-1

Done: Steve McIntyre <steve@einval.com>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, NIIBE Yutaka <gniibe@fsij.org>:
Bug#613959; Package gfarm2fs. (Fri, 18 Feb 2011 13:57:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Hector Oron <hector.oron@gmail.com>:
New Bug report received and forwarded. Copy sent to NIIBE Yutaka <gniibe@fsij.org>. (Fri, 18 Feb 2011 13:57:08 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Hector Oron <hector.oron@gmail.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: gfarm2fs: FTBFS on armel - undefined references
Date: Fri, 18 Feb 2011 13:55:07 +0000
Package: gfarm2fs
Version: 1.2.2-1
Severity: serious

Hello,

  Your package fails to build from source on armel and other architectures:

gcc -DHAVE_CONFIG_H -I. -I. -I.    -Wall -g -O2 -c open_file.c
/bin/bash ./libtool --tag=CC --mode=link gcc -Wall -g -O2   -o gfarm2fs  gfarm2fs.o replicate.o open_file.o  -lfuse -lgfarm
mkdir .libs
gcc -Wall -g -O2 -o gfarm2fs gfarm2fs.o replicate.o open_file.o  /usr/lib/libfuse.so -lrt -ldl /usr/lib/libgfarm.so -lcrypto
gfarm2fs.o: In function `gfarmize_symlink_old':
/build/buildd-gfarm2fs_1.2.2-1-armel-GGhY8M/gfarm2fs-1.2.2/gfarm2fs.c:276: undefined reference to `gfarm_is_url'
gfarm2fs.o: In function `gfarm2fs_symlink':
/build/buildd-gfarm2fs_1.2.2-1-armel-GGhY8M/gfarm2fs-1.2.2/gfarm2fs.c:745: undefined reference to `GFARM_URL_PREFIX'
gfarm2fs.o: In function `gfarmize_path':
/build/buildd-gfarm2fs_1.2.2-1-armel-GGhY8M/gfarm2fs-1.2.2/gfarm2fs.c:208: undefined reference to `GFARM_URL_PREFIX'
gfarm2fs.o: In function `parent_path':
/build/buildd-gfarm2fs_1.2.2-1-armel-GGhY8M/gfarm2fs-1.2.2/gfarm2fs.c:256: undefined reference to `gfarm_url_dir'
gfarm2fs.o: In function `ungfarmize_path':
/build/buildd-gfarm2fs_1.2.2-1-armel-GGhY8M/gfarm2fs-1.2.2/gfarm2fs.c:229: undefined reference to `gfarm_is_url'
replicate.o: In function `get_required_ncopy':
/build/buildd-gfarm2fs_1.2.2-1-armel-GGhY8M/gfarm2fs-1.2.2/replicate.c:153: undefined reference to `gfarm_url_dir'
collect2: ld returned 1 exit status


  Find full build log at:
  https://buildd.debian.org/fetch.cgi?pkg=gfarm2fs&arch=armel&ver=1.2.2-1&stamp=1297739212&file=log&as=raw

  Other builds information linked from:
  https://buildd.debian.org/status/package.php?p=gfarm2fs&suite=sid

  Best regards

-- System Information:
Debian Release: wheezy/sid
  APT prefers testing
  APT policy: (700, 'testing'), (600, 'unstable'), (500, 'stable'), (1, 'experimental')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.37-trunk-amd64 (SMP w/8 CPU cores)
Locale: LANG=ca_ES.UTF-8, LC_CTYPE=ca_ES.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash




Information forwarded to debian-bugs-dist@lists.debian.org, NIIBE Yutaka <gniibe@fsij.org>:
Bug#613959; Package gfarm2fs. (Sat, 03 Sep 2011 00:27:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to peter green <plugwash@p10link.net>:
Extra info received and forwarded to list. Copy sent to NIIBE Yutaka <gniibe@fsij.org>. (Sat, 03 Sep 2011 00:27:03 GMT) Full text and rfc822 format available.

Message #10 received at 613959@bugs.debian.org (full text, mbox):

From: peter green <plugwash@p10link.net>
To: 613959@bugs.debian.org
Subject: re: gfarm2fs: FTBFS on armel - undefined references
Date: Sat, 03 Sep 2011 01:25:03 +0100
It looks like this built succesfully on all linux architectures with the 
latest binnmu, should this bug be closed?




Reply sent to Steve McIntyre <steve@einval.com>:
You have taken responsibility. (Sat, 03 Mar 2012 15:06:06 GMT) Full text and rfc822 format available.

Notification sent to Hector Oron <hector.oron@gmail.com>:
Bug acknowledged by developer. (Sat, 03 Mar 2012 15:06:06 GMT) Full text and rfc822 format available.

Message #15 received at 613959-done@bugs.debian.org (full text, mbox):

From: Steve McIntyre <steve@einval.com>
To: peter green <plugwash@p10link.net>, 613959-done@bugs.debian.org
Subject: Re: Bug#613959: gfarm2fs: FTBFS on armel - undefined references
Date: Sat, 3 Mar 2012 15:02:51 +0000
On Sat, Sep 03, 2011 at 01:25:03AM +0100, peter green wrote:
>It looks like this built succesfully on all linux architectures with
>the latest binnmu, should this bug be closed?

Agreed, just verified on armel and amd64. No problems that I can see,
so closing.

-- 
Steve McIntyre, Cambridge, UK.                                steve@einval.com
  Getting a SCSI chain working is perfectly simple if you remember that there
  must be exactly three terminations: one on one end of the cable, one on the
  far end, and the goat, terminated over the SCSI chain with a silver-handled
  knife whilst burning *black* candles. --- Anthony DeBoer





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 01 Apr 2012 07:45:26 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 02:58:50 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.